VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ArmGraphMailbox"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Public URL As String
Public Id As String
Public displayName As String
Public parentFolderId As String
Public childFolderCount As Long
Public unreadItemCount As Long
Public totalItemCount As Long

Private MailItems() As ArmGraphMail

Public Sub Load_A_COM()
End Sub

Public Property Get HasMail() As Boolean
    HasMail = UBound(MailItems) >= 0
End Property

Public Sub SetMail(ByRef ao_mail As ArmGraphMail, ByVal al_Idx As Long)
    Set MailItems(al_Idx) = ao_mail
End Sub

Public Function GetMail(ByVal al_Idx As Long) As ArmGraphMail
    Set GetMail = MailItems(al_Idx)
End Function

Public Property Let MailCount(ByVal al_val As Long)
    If al_val = 0 Then
      ReDim MailItems(-1 To -1) As ArmGraphMail
    Else
      ReDim MailItems(al_val - 1) As ArmGraphMail
    End If
End Property

Public Property Get MailCount() As Long
    MailCount = UBound(MailItems) + 1
End Property
